Update a fee record summary by project
patch
/fscmRestApi/resources/11.13.18.05/publicSectorProjectOverviewFees/{publicSectorProjectOverviewFeesUniqID}
Request
Path Parameters
-
publicSectorProjectOverviewFeesUniqID(required): string
This is the hash key of the attributes which make up the composite key--- AgencyId and ProjectCode ---for the Project Overview Fees resource and used to uniquely identify an instance of Project Overview Fees. The client should not generate the hash key value. Instead, the client should query on the Project Overview Fees collection resource with a filter on the primary key values in order to navigate to a specific instance of Project Overview Fees.
For example: publicSectorProjectOverviewFees?q=AgencyId=<value1>;ProjectCode=<value2>
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : publicSectorProjectOverviewFees-item-response
Type:
Show Source
object-
AgencyId: integer
Read Only:
trueThe unique identifier of the public sector agency. -
CurrencyCode: string
Read Only:
trueMaximum Length:3The default currency code for the fee schedule. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProjectCode: string
Read Only:
trueMaximum Length:30The unique identifier of the project. -
Total: number
Read Only:
trueThe sum of fee amounts for the record. -
TotalDue: number
Read Only:
trueThe sum of fee amounts for the record, with the fee status as due. -
TotalEstimated: number
Read Only:
trueThe total fees estimated for the application. -
TotalInReview: number
Read Only:
trueThe sum of fee amounts for a record that are in Pending or Hold statuses. -
TotalNotPayable: number
Read Only:
trueThe sum of fee amounts for a record that are in Waived or Cancelled statuses. -
TotalPaid: number
Read Only:
trueThe sum of fee amounts for the record, with the fee status as paid. -
TotalPayable: number
Read Only:
trueThe sum of fee amounts for the record, with the fee status as payable. -
TotalPaymentsInProcess: number
Read Only:
trueThe total fee amount that is processing through the payment service.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.